Skip to main content
Import / Export

Trigger table data import procedure

This method requires the ImportTable permission to be associated with your role.

PUT
/gb/import/table/{table_import_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
table_import_idstringrequired

Import Id obtained from table import request

Required string length: 36 - 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Body

application/x-www-form-urlencoded
procedureenum<string>required
Available options: validate, import

Response

application/vnd.catch-e-api.v1+json

Success The request has been accepted for processing, but the processing has not been completed.

error_report_uristring

(Optional) URI to error report if import status is invalid.

Example: https://catch-e-api-table-exports.s3.ap-southeast-2.amazonaws.com/example/a5f5b489d019521eb16f5c579faa9e15afc7a4bb?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ZKIBIA46LLA7H5KN5S4Q%2F20190201%2Fap-southeast-2%2Fs3%2Faws4_request&X-Amz-Date=20190201T045824Z&X-Amz-SignedHeaders=host&X-Amz-Expires=300&X-Amz-Signature=6dcb136a7e0d285419ec8f88602785df41dc0036df8657bbc6e20309d3f3d5ba
exceptionstring

(Optional) Exception message thrown from job.

locking_usersstring[]

(Optional) Users locking the import process.

rows_importedinteger

(Optional) Number of rows marked imported.

rows_insertedinteger

(Optional) Number of rows marked inserted on import.

rows_invalidinteger

(Optional) Number of rows marked invalid.

rows_updatedinteger

(Optional) Number of rows marked updated on import.

rows_validinteger

(Optional) Number of rows marked valid.

sha256_checksumstring
statusenum<string>
Available options: pending, invalid, validated, imported, failed, locked
Example: validated
stopped_on_rowinteger

(Optional) Row processed when exception thrown.

table_import_idstring
table_namestring